/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/* Author Eric Brown-Munoz
   $Revision: 1.1 $
*/
package org.concord.graph.event;

import java.util.*;
import java.awt.Dimension;

public class GraphWindowResizeEvent extends EventObject 
{
	private Dimension newSize;
	
	public GraphWindowResizeEvent(Object source, Dimension newSize) 
	{
		super(source);
		this.newSize = newSize;
	}
	
	public Dimension getNewSize()
	{
		return newSize;
	}
}
