/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/05/24 21:56:14 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graphfunction.ui.symbolicview;

import org.concord.graphfunction.engine.*;

/**
 * Function input for linear equations
 *
 * @author Ingrid Moncada<p>
*/


public class LinearFunctionEquationInput extends LinearSlopeInterceptInput
{
	public LinearFunctionEquationInput()
	{
		super();
	}

	public LinearFunctionEquationInput(boolean b)
	{
		super(b);
	}

	public LinearFunctionEquationInput(LinearEquation eq)
	{
		super();
		setupSymbolic();
		setGraphFunction(eq);
	}
	
/*
    public void setGraphFunction(GraphFunction subject) 
	//Only checks if the function is a FunctionEquation
	{
		//Checking if it is a FunctionEquation
		if (subject!=null){
			if(!(subject instanceof FunctionEquation)) return;
		}
		
		super.setGraphFunction(subject);
	}
*/

/*
	public void setLinear(LinearEquation eq)
	{
//System.out.println("---------------------- 1: setting linear");
		if (eq!=null){
			super.setLinear(eq.getLinear());
		}
		else{
			super.setLinear(null);
		}

		//temporary until I do setupSymbolic
		if (this.subject != null) {
			this.subject.removeGraphableListener(graphableHandler);
		}
		this.subject = eq;
		if (this.subject != null) {
			this.subject.addGraphableListener(graphableHandler);
		}
		
		if (subject==null) return;
		
		///////////////// XXX		
	}
	*/
}
