/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graphfunction.engine;

import org.concord.graphfunction.engine.MathUtil;


import junit.framework.*;

public class MathUtilTest extends TestCase {
                                                                                
        public static void main(String args[]) {
                junit.textui.TestRunner.run(MathUtilTest.class);
        }
                                                                                
	public void testEqualsDouble() {
		MathUtil p_mathutil = new MathUtil ();
			
		assertEquals (true, p_mathutil.equalsDouble(1353,1353));
		assertFalse (p_mathutil.equalsDouble(1567,4532) == true);
	}		
	
	public void testlog10() {
		MathUtil p_mathutil = new MathUtil ();
		assertEquals ((int)2, p_mathutil.log10(100));
	}		
}

