/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graphfunction.engine;

import org.concord.graphfunction.engine.Value;

import junit.framework.*;

public class ValueTest extends TestCase {
                                                                                
        public static void main(String args[]) {
                junit.textui.TestRunner.run(ValueTest.class);
        }
                                                                                
//      protected void setUp() {
//              LinearFunctionPushpin p_lfp = new LinearFunctionPushpin ();
//      }
                
	public void testConstructor() {
		Value p_value = new Value (15043);
		assertEquals ((int)15043, (int)p_value.getValue());
	}		
                                                                
        public void testSetValue() {
               	Value p_value = new Value ();
		p_value.setValue(143);
                assertEquals ((int)143, (int)p_value.getValue());
        }
}

