/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * @(#)QuadraticFunction.java
 * 
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/05/24 21:56:15 $
 * $Author: imoncada $
 *
 * Copyright 
*/
package org.concord.graphfunction.event;

import java.util.*;

/**
 *
 * Date created: 04/07/2004
 *
 * @author Ingrid C Moncada<p>
 * @author Eric Brown-Munoz<p>
 *
 */

public class GraphFunctionEvent extends EventObject 
{
	protected boolean functionChange;
	
	public GraphFunctionEvent(Object source) 
	{
		this(source,false);
	}

	public GraphFunctionEvent(Object source, boolean fChange) 
	{
		super(source);
		this.functionChange = fChange;
	}

	public boolean isFunctionChange() 
	{
		return functionChange;
	}
	
	public void setFunctionChange(boolean fChange) 
	{
		this.functionChange = fChange;
	}

}
