/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * @(#)ValueValueBox.java
 * 
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/05/24 21:56:14 $
 * $Author: imoncada $
 *
 * Copyright 
*/
package org.concord.graphfunction.ui;

import org.concord.graphfunction.engine.*;
import org.concord.graphfunction.event.*;

/**
 * A label for Values
 *
 * @author Ingrid Moncada<p>
 *
*/

public class ValueValueBox extends ValueBox 
	implements ValueListener
{

    public ValueValueBox() 
	{
		super();
    }

    public ValueValueBox(Value value) 
	{
		super(value);
    }
	
	public void setListenToValue()
	{
		((Value)source).addValueListener(this);
	}

    public double getValue() 
	{
		return ((Value)source).getValue();
    }

    public void setValue(double value) 
	{
		((Value)source).setValue(value);
    }

	/**
	 * Listens to the value
	*/
    public void valueChanged (ValueEvent e)
	{
		reset();
	}
}
