/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.4 $
 * $Date: 2004/08/02 17:42:15 $
 * $Author: jqian $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.ui;

import java.awt.*;

import javax.swing.*;

/**
 * 
 * @author Ingrid Moncada<p>
*/
public class AppletBottomPanel extends JPanel
{
	SaveAsImageButton button;
	AboutButton button2;
	
	public AppletBottomPanel(String appletName)
	{
		JLabel titleLabel = new JLabel(appletName + " - Copyright 2004, The Concord Consortium.");
		titleLabel.setBackground(Color.white);
		titleLabel.setOpaque(true);
		titleLabel.setFont(new Font(titleLabel.getFont().getName(), Font.BOLD, 10));
		titleLabel.setAlignmentX(RIGHT_ALIGNMENT);
		
		setBackground(Color.white);
		setLayout(new BorderLayout());
		add(titleLabel, BorderLayout.WEST);
		
		button2 = new AboutButton(this, appletName);
		add(button2, BorderLayout.CENTER);

	button = new SaveAsImageButton(this, appletName);
		add(button, BorderLayout.EAST);
	}
	
	public void setAllowSaveImage(boolean b)
	{
		button.setVisible(b);
		
	}
}
